cURL
curl -X GET 'https://api.nuntly.com/namespaces' \
-H 'Authorization: Bearer apk_xxx'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.namespaces.list();import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.namespaces().list();import requests
url = "https://api.nuntly.com/namespaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"id": "<string>",
"createdAt": "<string>",
"name": "<string>",
"externalId": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Namespaces
List Namespaces
List all namespaces.
GET
/
namespaces
cURL
curl -X GET 'https://api.nuntly.com/namespaces' \
-H 'Authorization: Bearer apk_xxx'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.namespaces.list();import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.namespaces().list();import requests
url = "https://api.nuntly.com/namespaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"id": "<string>",
"createdAt": "<string>",
"name": "<string>",
"externalId": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Query Parameters
Pagination cursor from a previous response
Maximum number of items to return
Required range:
1 <= x <= 30⌘I
